From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: net-im/discord-canary-bin/
Date: Wed, 7 Dec 2022 19:50:59 +0000 (UTC) [thread overview]
Message-ID: <1670348101.1074bf8bc129461e14c5e2e6e8e09f1b43502a8d.tastytea@gentoo> (raw)
commit: 1074bf8bc129461e14c5e2e6e8e09f1b43502a8d
Author: Marcin Woźniak <y0rune <AT> aol <DOT> com>
AuthorDate: Tue Dec 6 17:35:01 2022 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Tue Dec 6 17:35:01 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1074bf8b
net-im/discord-canary-bin: version bump to 0.0.144
Signed-off-by: Marcin Woźniak <y0rune <AT> aol.com>
net-im/discord-canary-bin/Manifest | 2 +-
.../discord-canary-bin-0.0.144.ebuild | 90 ++++++++++++++++++++++
2 files changed, 91 insertions(+), 1 deletion(-)
diff --git a/net-im/discord-canary-bin/Manifest b/net-im/discord-canary-bin/Manifest
index 303932c26..c66f01527 100644
--- a/net-im/discord-canary-bin/Manifest
+++ b/net-im/discord-canary-bin/Manifest
@@ -1 +1 @@
-DIST discord-canary-0.0.143.deb 81623310 BLAKE2B 3e8887ed185faebd545e661556528c1da016bae7937ed878aa3e572ea26a3e871eb327ad19fdcacc9af87a71c4cc30f69fbbb6f4a4499c2b3bca3f7869dd9c98 SHA512 f249624156d5adf4aff5a9c59ec76908251db26f9f06395cb246e9388fc694bbdc58d1ae63ec3750bbe96c0dc24fe217ce7287bd4058fc546b0d72e91d633ef1
+DIST discord-canary-0.0.144.deb 81624716 BLAKE2B f14865dc7167de5e827982610a589c3810579061cf6233572cbde76cfcda4c5bf2690d016d3f020271ef855053cfecd8f18079a406f7cc586fe872a5dfdb298b SHA512 5431aba18bdd492d84b2320e883c23540b731a65c2bab3e77038c4bba9abc1aeed4154807937997a720a5ff1fe59e49db71d20e462f7d77b2d3c2c4008f8a11a
diff --git a/net-im/discord-canary-bin/discord-canary-bin-0.0.144.ebuild b/net-im/discord-canary-bin/discord-canary-bin-0.0.144.ebuild
new file mode 100644
index 000000000..4b95f02be
--- /dev/null
+++ b/net-im/discord-canary-bin/discord-canary-bin-0.0.144.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN=${PN/-bin/}
+MY_BIN="D${MY_PN/d/}"
+MY_BIN="${MY_BIN/-canary/}Canary"
+
+inherit desktop linux-info pax-utils unpacker xdg
+
+DESCRIPTION="All-in-one voice and text chat"
+HOMEPAGE="https://discordapp.com/"
+SRC_URI="https://dl-canary.discordapp.net/apps/linux/${PV}/${MY_PN}-${PV}.deb"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="mirror bindist"
+
+RDEPEND="
+ app-accessibility/at-spi2-atk:2
+ app-accessibility/at-spi2-core:2
+ dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/fontconfig:1.0
+ media-libs/freetype:2
+ net-print/cups
+ sys-apps/dbus
+ sys-apps/util-linux
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libxkbcommon
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango
+"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="
+ opt/discord-canary/${MY_BIN}
+ opt/discord-canary/chrome-sandbox
+ opt/discord-canary/libffmpeg.so
+ opt/discord-canary/libvk_swiftshader.so
+ opt/discord-canary/libvulkan.so
+ opt/discord-canary/libEGL.so
+ opt/discord-canary/libGLESv2.so
+ opt/discord-canary/libVkICD_mock_icd.so
+ opt/discord-canary/swiftshader/libEGL.so
+ opt/discord-canary/swiftshader/libGLESv2.so
+ opt/discord-canary/swiftshader/libvk_swiftshader.so
+"
+
+CONFIG_CHECK="~USER_NS"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "s:/usr/share/${MY_PN}/${MY_BIN}:/opt/${MY_PN}/${MY_BIN}:g" \
+ usr/share/${MY_PN}/${MY_PN}.desktop || die
+}
+
+src_install() {
+ newicon usr/share/${MY_PN}/${MY_PN//-canary}.png ${MY_PN}.png
+ domenu usr/share/${MY_PN}/${MY_PN}.desktop
+
+ insinto /opt/${MY_PN}
+ doins -r usr/share/${MY_PN}/.
+ fperms +x /opt/${MY_PN}/${MY_BIN}
+ dosym ../../opt/${MY_PN}/${MY_BIN} usr/bin/${MY_PN}
+
+ pax-mark -m "${ED}"/opt/${MY_PN}/${MY_PN}
+}
next reply other threads:[~2022-12-07 19:51 UTC|newest]
Thread overview: 57+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-07 19:50 Ronny Gutbrod [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-30 15:26 [gentoo-commits] repo/proj/guru:master commit in: net-im/discord-canary-bin/ David Roman
2024-12-20 0:36 David Roman
2024-03-15 7:10 Rui Huang
2024-01-25 10:49 David Roman
2024-01-19 10:31 Arthur Zamarin
2024-01-15 15:46 David Roman
2024-01-11 11:57 David Roman
2024-01-08 7:18 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2024-01-08 7:22 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2024-01-04 15:19 Viorel Munteanu
2023-12-21 6:32 Viorel Munteanu
2023-12-18 6:33 Viorel Munteanu
2023-12-15 6:02 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-12-15 6:03 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-12-14 7:25 Viorel Munteanu
2023-12-12 6:19 Viorel Munteanu
2023-12-11 6:50 Viorel Munteanu
2023-12-11 6:50 Viorel Munteanu
2023-12-04 7:11 Viorel Munteanu
2023-12-04 6:37 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-12-04 7:11 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-12-02 1:29 Haelwenn Monnier
2023-08-18 6:21 Viorel Munteanu
2023-08-18 6:16 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-08-18 6:21 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-08-17 5:15 Viorel Munteanu
2023-08-17 5:09 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-08-17 5:15 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-08-10 8:14 Viorel Munteanu
2023-08-10 8:14 Viorel Munteanu
2023-07-12 8:47 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-07-12 8:47 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-07-12 8:47 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-07-12 8:47 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-05-27 6:10 Viorel Munteanu
2023-05-27 6:10 Viorel Munteanu
2023-03-12 9:14 Viorel Munteanu
2023-02-14 12:02 Florian Schmaus
2023-02-13 11:28 Andrew Ammerlaan
2023-01-14 18:43 Andrew Ammerlaan
2022-12-07 19:50 Ronny Gutbrod
2022-09-06 1:06 Ronny Gutbrod
2022-05-28 10:10 Andrew Ammerlaan
2022-03-07 21:21 Ronny Gutbrod
2022-01-12 15:20 Florian Schmaus
2021-09-23 6:45 Arthur Zamarin
2021-09-20 9:17 Andrew Ammerlaan
2021-08-27 16:10 Haelwenn Monnier
2021-06-30 7:14 Florian Schmaus
2021-06-29 6:59 Florian Schmaus
2021-06-04 7:59 Andrew Ammerlaan
2021-05-24 7:31 Andrew Ammerlaan
2021-05-22 12:16 Andrew Ammerlaan
2021-05-14 19:08 Andrew Ammerlaan
2021-05-14 17:17 Andrew Ammerlaan
2021-03-24 9:05 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-03-24 9:05 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-02-19 10:14 Michał Górny
2020-12-18 15:25 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-12-18 16:26 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-11-12 19:46 Andrew Ammerlaan
2020-08-09 21:00 Andrew Ammerlaan
2020-06-09 15:52 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-06-09 16:37 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-05-11 8:57 Andrew Ammerlaan
2020-05-11 8:57 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1670348101.1074bf8bc129461e14c5e2e6e8e09f1b43502a8d.tastytea@gentoo \
--to=gentoo@tastytea.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox